const state = {
    pickingTypes: {
        default: [],
        values: this.default
    },
    loadingPickingTypes: {
        default: false,
        value: true
    }
}

const getters = {
    /**
     * 
     * @param {*} state 
     */
    pickingTypes(state) {
        return state.pickingTypes.values
    },
    /**
     * 
     * @param {*} state 
     */
    loadingPickingTypes(state) {
        return state.loadingPickingTypes.value
    }
}

const mutations = {
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setPickingTypes(state, payload) {
        state.pickingTypes.values = [...payload]
    },
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setLoadingPickingTypes(state, payload) {
        state.loadingPickingTypes.value = !!payload
    }
}

const actions = {
    /**
     * 
     * @param {*} param0 
     */
    initPickingTypes({ commit }, payload) {
        commit('setPickingTypes', payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}